Index: src/sas/sasgui/guiframe/data_processor.py
===================================================================
--- src/sas/sasgui/guiframe/data_processor.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
+++ src/sas/sasgui/guiframe/data_processor.py	(revision a5e1b6ca3a359d274a773b956b997cd816eb4642)
@@ -79,5 +79,5 @@
             if label_pos != -1 and len(elt) >= separator_pos  and\
                 elt[separator_pos] == "[":
-                # the label contain , meaning the range selected is not 
+                # the label contain , meaning the range selected is not
                 # continuous
                 if elt.count(',') > 0:
@@ -107,9 +107,9 @@
 class SPanel(ScrolledPanel):
     """
-    ensure proper scrolling of GridPanel 
-    
-    Adds a SetupScrolling call to the normal ScrolledPanel init.    
+    ensure proper scrolling of GridPanel
+
+    Adds a SetupScrolling call to the normal ScrolledPanel init.
     GridPanel then subclasses this class
-    
+
     """
     def __init__(self, parent, *args, **kwds):
@@ -129,5 +129,5 @@
     grid.GridCellEditor) in order to override two of its methods:
     PaintBackrgound and EndEdit.
-    
+
     This is necessary as the sheet module is broken in wx 3.0.2 and
     improperly subclasses grid.GridCellEditor
@@ -247,5 +247,5 @@
 
 
-        # The following events must be bound even if CSheet is working 
+        # The following events must be bound even if CSheet is working
         # properly and does not need the above re-implementation of the
         # CSheet init method.  Basically these override any intrinsic binding
@@ -313,5 +313,5 @@
     def OnCellChange(self, event):
         """
-        Overrides sheet.CSheet.OnCellChange.  
+        Overrides sheet.CSheet.OnCellChange.
 
         Processes when a cell has been edited by a cell editor. Checks for the
@@ -558,5 +558,5 @@
         """
 
-        # add data to the grid    
+        # add data to the grid
         row = 0
         col_name = self.GetCellValue(row, col)
@@ -583,5 +583,5 @@
         Sets up to insert column into the current grid before the current
         highlighted column location and sets up what to populate that column
-        with.  Then calls insert_column method to actually do the insertion. 
+        with.  Then calls insert_column method to actually do the insertion.
         """
 
@@ -604,5 +604,5 @@
         Sets up to insert column into the current grid after the current
         highlighted column location and sets up what to populate that column
-        with.  Then calls insert_column method to actually do the insertion. 
+        with.  Then calls insert_column method to actually do the insertion.
         """
 
@@ -758,5 +758,5 @@
     def onContextMenu(self, event):
         """
-        Method to handle cell right click context menu. 
+        Method to handle cell right click context menu.
 
         THIS METHOD IS NOT CURRENTLY USED.  It is designed to provide a
@@ -1124,5 +1124,5 @@
         """
 
-        # I Believe this is no longer used now that we have removed the 
+        # I Believe this is no longer used now that we have removed the
         # edit menu from the menubar - PDB July 12, 2015
         pos = self.GetSelection()
@@ -1134,5 +1134,5 @@
         Remove the selected column from the grid
         """
-        # I Believe this is no longer used now that we have removed the 
+        # I Believe this is no longer used now that we have removed the
         # edit menu from the menubar - PDB July 12, 2015
         pos = self.GetSelection()
@@ -1637,5 +1637,5 @@
         # We need to grab a WxMenu handle here, otherwise the next one to grab
         # the handle will be treated as the Edit Menu handle when checking in
-        # on_menu_open event handler and thus raise an exception when it hits an 
+        # on_menu_open event handler and thus raise an exception when it hits an
         # unitialized object.  Alternative is to comment out that whole section
         # in on_menu_open, but that would make it more difficult to undo the
@@ -1690,5 +1690,5 @@
         On Copy from the Edit menu item on the menubar
         """
-        # I Believe this is no longer used now that we have removed the 
+        # I Believe this is no longer used now that we have removed the
         # edit menu from the menubar - PDB July 12, 2015
         if event is not None:
@@ -1702,5 +1702,5 @@
         On Paste from the Edit menu item on the menubar
         """
-        # I Believe this is no longer used now that we have removed the 
+        # I Believe this is no longer used now that we have removed the
         # edit menu from the menubar - PDB July 12, 2015
         if event is not None:
@@ -1714,5 +1714,5 @@
         On Clear from the Edit menu item on the menubar
         """
-        # I Believe this is no longer used now that we have removed the 
+        # I Believe this is no longer used now that we have removed the
         # edit menu from the menubar - PDB July 12, 2015
         pos = self.panel.notebook.GetSelection()
@@ -1733,5 +1733,5 @@
         On remove column from the Edit menu Item on the menubar
         """
-        # I Believe this is no longer used now that we have removed the 
+        # I Believe this is no longer used now that we have removed the
         # edit menu from the menubar - PDB July 12, 2015
         pos = self.panel.notebook.GetSelection()
@@ -1824,5 +1824,5 @@
                 location = os.path.dirname(grid.file_name)
                 dlg = wx.FileDialog(self, "Save Project file",
-                                    location, grid.file_name, ext, wx.SAVE)
+                                    location, grid.file_name, ext, wx.FD_SAVE)
                 path = None
                 if dlg.ShowModal() == wx.ID_OK:
@@ -2009,5 +2009,5 @@
                 location = os.path.dirname(self.file_name)
                 dlg = wx.FileDialog(self, "Save Project file",
-                                    location, self.file_name, ext, wx.SAVE)
+                                    location, self.file_name, ext, wx.FD_SAVE)
                 path = None
                 if dlg.ShowModal() == wx.ID_OK:
Index: src/sas/sasgui/guiframe/gui_manager.py
===================================================================
--- src/sas/sasgui/guiframe/gui_manager.py	(revision 34f23c81aa61f99e9fa067689ac823e11cfecde3)
+++ src/sas/sasgui/guiframe/gui_manager.py	(revision a5e1b6ca3a359d274a773b956b997cd816eb4642)
@@ -1917,5 +1917,5 @@
                             self._default_save_location, "sasview_proj",
                             extension,
-                            wx.SAVE)
+                            wx.FD_SAVE)
         if dlg.ShowModal() == wx.ID_OK:
             path = dlg.GetPath()
@@ -2414,5 +2414,5 @@
         dlg = wx.FileDialog(self, "Choose a file",
                             self._default_save_location,
-                            default_name, wildcard, wx.SAVE)
+                            default_name, wildcard, wx.FD_SAVE)
 
         if dlg.ShowModal() == wx.ID_OK:
@@ -2551,5 +2551,5 @@
         dlg = wx.FileDialog(self, "Choose a file",
                             self._default_save_location,
-                            default_name, wildcard, wx.SAVE)
+                            default_name, wildcard, wx.FD_SAVE)
 
         if dlg.ShowModal() == wx.ID_OK:
Index: src/sas/sasgui/perspectives/calculator/data_editor.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/data_editor.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
+++ src/sas/sasgui/perspectives/calculator/data_editor.py	(revision a5e1b6ca3a359d274a773b956b997cd816eb4642)
@@ -19,5 +19,5 @@
 _QMAX_DEFAULT = 0.13
 _NPTS_DEFAULT = 50
-#Control panel width 
+#Control panel width
 if sys.platform.count("darwin") == 0:
     PANEL_WIDTH = 500
@@ -196,5 +196,5 @@
         summary = 'No data info available...'
         self.data_summary.SetValue(summary)
-        #self.summary_sizer.Add(self.data_summary, 1, wx.EXPAND|wx.ALL, 10)  
+        #self.summary_sizer.Add(self.data_summary, 1, wx.EXPAND|wx.ALL, 10)
 
     def _layout_button(self):
@@ -579,5 +579,6 @@
         wildcard = "CanSAS 1D files(*.xml)|*.xml"
         dlg = wx.FileDialog(self, "Choose a file",
-                            self._default_save_location, "", wildcard , wx.SAVE)
+                            self._default_save_location, "", wildcard ,
+                            wx.FD_SAVE)
 
         for data in self._data:
Index: src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py	(revision 34f23c81aa61f99e9fa067689ac823e11cfecde3)
+++ src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py	(revision a5e1b6ca3a359d274a773b956b997cd816eb4642)
@@ -1671,5 +1671,5 @@
                             location, "sld_file",
                              extension,
-                             wx.SAVE)
+                             wx.FD_SAVE)
         if dlg.ShowModal() == wx.ID_OK:
             path = dlg.GetPath()
Index: src/sas/sasgui/perspectives/corfunc/corfunc_panel.py
===================================================================
--- src/sas/sasgui/perspectives/corfunc/corfunc_panel.py	(revision ef74a8b4c5fbc72695853e60c09c0379d8d1c2c6)
+++ src/sas/sasgui/perspectives/corfunc/corfunc_panel.py	(revision a5e1b6ca3a359d274a773b956b997cd816eb4642)
@@ -337,5 +337,5 @@
         dlg = wx.FileDialog(self, "Choose a file",
                             default_save_location, \
-                            self.window_caption, "*.crf", wx.SAVE)
+                            self.window_caption, "*.crf", wx.FD_SAVE)
         if dlg.ShowModal() == wx.ID_OK:
             path = dlg.GetPath()
Index: src/sas/sasgui/perspectives/fitting/basepage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/basepage.py	(revision cb64d86aa05427be27c71cc415727ce4d7fdce69)
+++ src/sas/sasgui/perspectives/fitting/basepage.py	(revision a5e1b6ca3a359d274a773b956b997cd816eb4642)
@@ -676,5 +676,5 @@
                         self._manager.parent._default_save_location
         dlg = wx.FileDialog(self, "Choose a file", self._default_save_location,
-                            self.window_caption, "*.fitv", wx.SAVE)
+                            self.window_caption, "*.fitv", wx.FD_SAVE)
 
         if dlg.ShowModal() == wx.ID_OK:
Index: src/sas/sasgui/perspectives/fitting/report_dialog.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/report_dialog.py	(revision 44e8f48e6ada97db8eb483009edc07705c6329a2)
+++ src/sas/sasgui/perspectives/fitting/report_dialog.py	(revision a5e1b6ca3a359d274a773b956b997cd816eb4642)
@@ -49,5 +49,5 @@
         dlg = wx.FileDialog(self, "Choose a file",
                             wildcard=self.wild_card,
-                            style=wx.SAVE | wx.OVERWRITE_PROMPT | wx.CHANGE_DIR)
+                            style=wx.FD_SAVE | wx.OVERWRITE_PROMPT | wx.CHANGE_DIR)
         dlg.SetFilterIndex(0)  # Set .html files to be default
 
Index: src/sas/sasgui/perspectives/invariant/invariant_panel.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant_panel.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
+++ src/sas/sasgui/perspectives/invariant/invariant_panel.py	(revision a5e1b6ca3a359d274a773b956b997cd816eb4642)
@@ -1255,5 +1255,5 @@
         dlg = wx.FileDialog(self, "Choose a file",
                             self._default_save_location, \
-                            self.window_caption, "*.inv", wx.SAVE)
+                            self.window_caption, "*.inv", wx.FD_SAVE)
         if dlg.ShowModal() == wx.ID_OK:
             path = dlg.GetPath()
Index: src/sas/sasgui/perspectives/invariant/report_dialog.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/report_dialog.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
+++ src/sas/sasgui/perspectives/invariant/report_dialog.py	(revision a5e1b6ca3a359d274a773b956b997cd816eb4642)
@@ -52,5 +52,5 @@
         dlg = wx.FileDialog(self, "Choose a file",
                             wildcard=self.wild_card,
-                            style=wx.SAVE | wx.OVERWRITE_PROMPT | wx.CHANGE_DIR)
+                            style=wx.FD_SAVE | wx.OVERWRITE_PROMPT | wx.CHANGE_DIR)
         dlg.SetFilterIndex(0)  # Set .html files to be default
 
Index: src/sas/sasgui/perspectives/pr/inversion_panel.py
===================================================================
--- src/sas/sasgui/perspectives/pr/inversion_panel.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
+++ src/sas/sasgui/perspectives/pr/inversion_panel.py	(revision a5e1b6ca3a359d274a773b956b997cd816eb4642)
@@ -282,5 +282,5 @@
         dlg = wx.FileDialog(self, "Choose a file",
                             self._default_save_location,
-                            self.window_caption, "*.prv", wx.SAVE)
+                            self.window_caption, "*.prv", wx.FD_SAVE)
         if dlg.ShowModal() == wx.ID_OK:
             path = dlg.GetPath()
